Get employee skill assignments
Skills
Get employee skill assignments
Get employee skill assignments
GET
Get employee skill assignments
Retrieve the skills rated on employees. Each row is one rating, differentiated by
rating_source – the same employee and skill can have several rows (e.g. a SELF and an EXTERNAL rating).Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of remote IDs.
Filter by a comma-separated list of employee IDs.
Filter by a comma-separated list of skill IDs.
Response
GET /hris/employee-skill-assignments Positive response
Allowed value:
"success"Example:
{
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "8AvRLpxwY5J6pGxfY6fUD81Z",
"remote_id": "238476582-99123",
"employee_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"proficiency": {
"type": "SINGLE_SELECT",
"ordered_options": [
"Proficiency Level 1",
"Proficiency Level 2",
"Proficiency Level 3",
"Proficiency Level 4",
"Proficiency Level 5"
],
"value": "Proficiency Level 4"
},
"rating_source": "EXTERNAL",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}
]
}